org.codehaus.groovy.reflection.stdclasses

## Class CachedClosureClass

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass
  - - org.codehaus.groovy.reflection.stdclasses.CachedClosureClass

    public class CachedClosureClass
    extends CachedClass

### Nested Class Summary

### Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

`CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

`classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

### Constructor Summary

Constructors
Constructor and Description
`CachedClosureClass(java.lang.Class klazz, ClassInfo classInfo)`

### Method Summary

Methods
`int` `getMaximumNumberOfParameters()`
`java.lang.Class[]` `getParameterTypes()`

### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

`addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CachedClosureClass

    public CachedClosureClass(java.lang.Class klazz,
                      ClassInfo classInfo)

### Method Detail

#### getParameterTypes

    public java.lang.Class[] getParameterTypes()

#### getMaximumNumberOfParameters

    public int getMaximumNumberOfParameters()